Update MCP Server
Update MCP server configuration.
Modifiable fields:
- Name and description
- Root URL
Note: Updating the root URL may trigger re-synchronization.
Authentication
AuthorizationBearer
API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.
OR
AuthorizationBearer
API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.
Path parameters
mcp_server_id
org_id
The unique identifier of the organization.
project_id
The unique identifier of the project.
Request
This endpoint expects an object.
name
MCP server name
description
Description of the MCP server
url
Root URL of the MCP server
Response
MCP server updated
name
MCP server name
url
Root URL of the MCP server
id
Unique identifier for the MCP server
short_id
Short identifier for the MCP server
project_id
Project ID this MCP server belongs to
syncd
Whether the server has been sync'd to external proxy
created
Timestamp when the MCP server was created
modified
Timestamp when the MCP server was last modified
description
Description of the MCP server
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error